<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Traffic generator!</title>

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bulma/0.7.1/css/bulma.min.css">
    <link rel="stylesheet" href="./styles.css">
    <!-- Scripts -->
    <script>
      delete module.exports
    </script>
    <script src="https://code.jquery.com/jquery-3.3.1.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.7.2/Chart.min.js"></script>
    <!-- <script src="./vue.js"></script> -->
    <script src="./iperf_controller.js"></script>
    <script defer src="https://use.fontawesome.com/releases/v5.0.7/js/all.js"></script>
  </head>
  <body>
    <section class="hero is-primary is-bold is-medium">
      <div class="hero-body">
        <div class="container">
          <h1 class="title">
            Traffic generator
          </h1>
          <p class="subtitle">
            Powered by <strong>Iperf</strong>
            <a class="button is-pulled-right" href="index.html">
              <span class="icon">
                <i class="fas fa-home"></i>
              </span>
              <span>Home</span>
            </a>
          </p>

          <div class="columns">
            <div class="box column is-6" id="server-conf">
              <label class="label">Server</label>
              <div class="columns is-gapless">
                <div class="field column is-4">
                  <div class="control">
                    <input class="input is-dark" type="text" placeholder="Server" id="server">
                  </div>
                </div>
                <div class="field column is-2">
                  <div class="control">
                    <button id="server-connect" class="button is-dark">Connect</button>
                  </div>
                </div>
              </div>
              <div class="columns">
                <div class="field column is-5">
                  <div class="control">
                    <input class="input is-dark" type="text" placeholder="(Optional)" id="server-opt-param">
                  </div>
                </div>  
              </div>
              <div class="field">
                <div class="control">
                  <button id="server-tool" class="button is-dark">Start server</button>
                </div>
              </div>
            </div>
            <div class="box column is-6" id="client-conf">
              <label class="label">Client</label>
              <div class="columns is-gapless">
                <div class="field column is-4">
                  <div class="control">
                    <input class="input is-dark" type="text" placeholder="Client" id="client">
                  </div>
                </div>
                <div class="field column is-2">
                  <div class="control">
                    <button id="client-connect" class="button is-dark">Connect</button>
                  </div>
                </div>
              </div>
              <div class="columns is-gapless">
                <div class="field column is-3">
                  <div class="control">
                    <input class="input is-dark" type="number" placeholder="Duration(s)" id="client-duration-input">
                  </div>
                </div>
                <div class="field column is-4">
                  <div class="control">
                    <input class="input is-dark" type="number" placeholder="Bandwidth(kbps)" id="client-bandwidth-input">
                  </div>
                </div>
                <div class="field column is-5">
                  <div class="control">
                    <input class="input is-dark" type="text" placeholder="(Optional)" id="client-opt-param">
                  </div>
                </div>
              </div>
              <div class="field">
                <div class="control">
                  <button id="client-tool" class="button is-dark">Start client</button>
                </div>
              </div>
            </div>
          </div>
          
        </div>
      </div>

    </section>
    <section class="section">
      <div class="columns">
        <div class="notification is-dark column is-6" id="server-log-box">
          <button class="delete"></button>
          <label>Server log</label>
          <hr>
          <p></p>
        </div>
        <div class="notification is-dark column is-6" id="client-log-box">
          <button class="delete"></button>
          <label>Client log</label>
          <hr>
          <p></p>
        </div>    
      </div>
    </section>
    <section class="section">
      <pre>Report will be updated every 1s as default value.</pre>
      <canvas id="mChart"></canvas>
      <pre id="report"></pre>
    </section>
    <footer class="footer">
      <div class="container">
        <div class="content has-text-centered">
          <p>
            Powered by Node.js <script>document.write(process.versions.node)</script>,
            Chromium <script>document.write(process.versions.chrome)</script>,
            and Electron <script>document.write(process.versions.electron)</script>.<br>
           <span class="icon"><i class="fas fa-quote-left"></i></span><span><i>Đừng tưởng xuân tàn hoa rụng hết.</i></span><br>
              <span><i>Đêm qua sân trước, một cành mai.</i></span><span class="icon"><i class="fas fa-quote-right"></i></span>
            <br><strong>@Bonsai Lab - 2018</strong>
            <!-- <a href="test.html">Go to test page</a> -->
          </p>
        </div>
      </div>
    </footer>
  </body>
</html>
